Summary:	Perl module for DSA signatures and key generation
Name:		perl-Crypt-DSA
Version:	1.17
Release:    2%{?dist}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
Url:		https://metacpan.org/release/Crypt-DSA
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-DSA-%{version}.tar.gz
Patch0:		remove-fallback.patch
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	sed
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Convert::ASN1)
BuildRequires:	perl(Convert::PEM)
BuildRequires:	perl(Data::Buffer) >= 0.01
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Which) >= 0.05
BuildRequires:	perl(integer)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Math::BigInt) >= 1.78
BuildRequires:	perl(Math::BigInt::GMP)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(strict)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(vars)
BuildRequires:	perl(Test::More) >= 0.42
BuildRequires:	openssl
BuildRequires:	perl(Crypt::DES_EDE3)
BuildRequires:	perl(Perl::MinimumVersion) >= 1.27
BuildRequires:	perl(Test::CPAN::Meta) >= 0.17
BuildRequires:	perl(Test::MinimumVersion) >= 0.101080
BuildRequires:	perl(Test::Pod) >= 1.44
Requires:	openssl
Requires:	perl(Convert::ASN1)
Requires:	perl(Math::BigInt::GMP)

%description
Crypt::DSA is an implementation of the DSA (Digital Signature Algorithm)
signature verification system. This package provides DSA signing, signature
verification, and key generation.

%prep
%setup -q -n Crypt-DSA-%{version}

rm -rv inc/
sed -i -e '/^inc\// d' MANIFEST

%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test AUTOMATED_TESTING=1

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Crypt/
%{_mandir}/man3/Crypt::DSA.3*
%{_mandir}/man3/Crypt::DSA::Key.3*
%{_mandir}/man3/Crypt::DSA::Key::PEM.3*
%{_mandir}/man3/Crypt::DSA::Key::SSH2.3*
%{_mandir}/man3/Crypt::DSA::KeyChain.3*
%{_mandir}/man3/Crypt::DSA::Signature.3*
%{_mandir}/man3/Crypt::DSA::Util.3*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.17-2
- Rebuilt for loongarch64

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17-1
- initial build
